import { RuntimeM2MField } from '@oinone/kunlun-engine';
import { ReturnPromise } from '@oinone/kunlun-shared';
import { FormSubviewListFieldWidget } from '../../../../basic';
export declare class DetailM2MTableFieldWidget extends FormSubviewListFieldWidget<RuntimeM2MField> {
    protected refreshValueProcess(): Promise<void>;
    protected initSubviewData(): ReturnPromise<void>;
}
